curl --request PATCH \
--url https://web-api.clerk.chat/public/pipelines/{pipelineId}/versions/{versionId} \
--header 'Content-Type: application/json' \
--header 'apiKey: <api-key>' \
--data '
{
"name": "Renamed Version"
}
'import requests
url = "https://web-api.clerk.chat/public/pipelines/{pipelineId}/versions/{versionId}"
payload = { "name": "Renamed Version" }
headers = {
"apiKey": "<api-key>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {apiKey: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({name: 'Renamed Version'})
};
fetch('https://web-api.clerk.chat/public/pipelines/{pipelineId}/versions/{versionId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://web-api.clerk.chat/public/pipelines/{pipelineId}/versions/{versionId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PATCH",
CURLOPT_POSTFIELDS => json_encode([
'name' => 'Renamed Version'
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json",
"apiKey: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://web-api.clerk.chat/public/pipelines/{pipelineId}/versions/{versionId}"
payload := strings.NewReader("{\n \"name\": \"Renamed Version\"\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("apiKey", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.patch("https://web-api.clerk.chat/public/pipelines/{pipelineId}/versions/{versionId}")
.header("apiKey", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"name\": \"Renamed Version\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://web-api.clerk.chat/public/pipelines/{pipelineId}/versions/{versionId}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Patch.new(url)
request["apiKey"] = '<api-key>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"name\": \"Renamed Version\"\n}"
response = http.request(request)
puts response.read_body{
"id": "00000000-0000-0000-0000-000000000000",
"number": 1,
"pipelineId": "00000000-0000-0000-0000-000000000000",
"schema": {},
"isLatestLive": true,
"name": "My Version",
"pipelineOptions": {},
"versionId": "00000000-0000-0000-0000-000000000000",
"versionNumber": 1,
"versionName": "My Version",
"madeLiveAt": "2021-01-01T00:00:00.000Z"
}Update a pipeline version
Update a pipeline version (e.g. rename)
curl --request PATCH \
--url https://web-api.clerk.chat/public/pipelines/{pipelineId}/versions/{versionId} \
--header 'Content-Type: application/json' \
--header 'apiKey: <api-key>' \
--data '
{
"name": "Renamed Version"
}
'import requests
url = "https://web-api.clerk.chat/public/pipelines/{pipelineId}/versions/{versionId}"
payload = { "name": "Renamed Version" }
headers = {
"apiKey": "<api-key>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {apiKey: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({name: 'Renamed Version'})
};
fetch('https://web-api.clerk.chat/public/pipelines/{pipelineId}/versions/{versionId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://web-api.clerk.chat/public/pipelines/{pipelineId}/versions/{versionId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PATCH",
CURLOPT_POSTFIELDS => json_encode([
'name' => 'Renamed Version'
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json",
"apiKey: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://web-api.clerk.chat/public/pipelines/{pipelineId}/versions/{versionId}"
payload := strings.NewReader("{\n \"name\": \"Renamed Version\"\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("apiKey", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.patch("https://web-api.clerk.chat/public/pipelines/{pipelineId}/versions/{versionId}")
.header("apiKey", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"name\": \"Renamed Version\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://web-api.clerk.chat/public/pipelines/{pipelineId}/versions/{versionId}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Patch.new(url)
request["apiKey"] = '<api-key>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"name\": \"Renamed Version\"\n}"
response = http.request(request)
puts response.read_body{
"id": "00000000-0000-0000-0000-000000000000",
"number": 1,
"pipelineId": "00000000-0000-0000-0000-000000000000",
"schema": {},
"isLatestLive": true,
"name": "My Version",
"pipelineOptions": {},
"versionId": "00000000-0000-0000-0000-000000000000",
"versionNumber": 1,
"versionName": "My Version",
"madeLiveAt": "2021-01-01T00:00:00.000Z"
}Authorizations
Path Parameters
The ID of the pipeline
The ID of the pipeline version
Body
The new name for the pipeline version
"Renamed Version"
Response
The updated pipeline version
Represents a pipeline version resource
The ID of the pipeline version
"00000000-0000-0000-0000-000000000000"
The version number
1
The ID of the parent pipeline
"00000000-0000-0000-0000-000000000000"
The pipeline schema definition
Whether this is the latest live version
true
The name of the pipeline version
"My Version"
Pipeline configuration options
The ID of the pipeline version (alias for id)
"00000000-0000-0000-0000-000000000000"
The version number (alias for number)
1
The name of the pipeline version (alias for name)
"My Version"
When this version was made live
"2021-01-01T00:00:00.000Z"